> For the complete documentation index, see [llms.txt](https://api-kit.prix.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-kit.prix.im/signature/concluded-contract-files-url.md).

# 체결된 계약서 및 감사추적 인증서 다운로드 URL 조회 API

체결된 전자서명 계약서의 날인본과 감사추적 인증서 다운로드 URL을 조회할 수 있는 API입니다.

<br>

## `GET` kit-api/v1/contracts/download/concluded-contract-files-url

Method: GET\
Endpoint: kit-api/v1/contracts/download/concluded-contract-files-url

<br>

## Example

```
...kit-api/v1/contracts/download/concluded-contract-files-url?uuid=ed976505-bcbd-47bd-913d-f4cde05dea7a
```

```
...kit-api/v1/contracts/download/concluded-contract-files-url?customKey=CN-2025-001
```

<br>

## Request Query

| Key       | Description                  | Required             |
| --------- | ---------------------------- | -------------------- |
| uuid      | 계약서 UUID로 체결 파일을 조회하는 경우 사용  | 조건부 yes (둘 중에 하나 필수) |
| customKey | 계약서 커스텀 키로 체결 파일을 조회하는 경우 사용 | 조건부 yes (둘 중에 하나 필수) |

**참고**: `uuid`와 `customKey`는 모두 계약서 기준 값입니다. 둘 중 하나만 전달해야 합니다.

<br>

## Response

```json
{
  "ok": true, // api 성공 여부
  "data": {
    "concludedFile": "https://...", // 체결된 계약서 날인본 다운로드 URL (요청 후 30분만 유효합니다.)
    "certificate": "https://..." // 감사추적 인증서 다운로드 URL (요청 후 30분만 유효합니다.)
  }
}
```

감사추적 인증서는 체결 직후 아직 생성 준비가 완료되지 않았을 수 있습니다. 이 경우 `SIGNATURE_CERTIFICATE_NOT_READY` 에러가 반환되며, 잠시 후 같은 요청을 다시 시도해 주세요.

<br>

```json
{
  "ok": false, // api 실패
  "message": "error message", // Error가 존재하면 message(string)로 전달
  "errorCode": "ERROR_CODE"
}
```

<br>

| Status Code | Error Code                            | Description                                |
| ----------- | ------------------------------------- | ------------------------------------------ |
| 400         | DELETED\_CONTRACT                     | 삭제된 계약서인 경우                                |
| 401         | UNAUTHORIZED\_API\_KEY                | API Key가 전달되지 않은 경우                        |
| 403         | NOT\_MATCHES\_PERMISSION\_USER        | API Key에 계약서 API 권한을 가진 사용자가 연결되어 있지 않은 경우 |
| 403         | FORBIDDEN\_BUSINESS                   | 해당 계약서의 워크스페이스 권한이 없는 경우                   |
| 403         | FORBIDDEN\_PERMISSION                 | 현재 팀에 해당 계약서 접근 권한이 없는 경우                  |
| 404         | NOT\_FOUND\_BUSINESS                  | API Key에 연결된 워크스페이스가 없는 경우                 |
| 404         | NOT\_FOUND\_CONTRACT                  | 계약서를 조회할 수 없는 경우                           |
| 404         | CONTRACT\_CONCLUDED\_FILE\_NOT\_FOUND | 계약서 체결본이 없는 경우                             |
| 404         | NOT\_FOUND\_SIGNATURE                 | 계약서에 연결된 전자서명 정보가 없는 경우                    |
| 409         | SIGNATURE\_CERTIFICATE\_NOT\_READY    | 감사추적 인증서 생성 준비가 아직 완료되지 않은 경우              |

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-kit.prix.im/signature/concluded-contract-files-url.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
